Bug 443757 - Please bring back cover switch effect
Summary: Please bring back cover switch effect
Status: CLOSED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-tabbox (show other bugs)
Version: 5.23.0
Platform: Slackware Packages Linux
: NOR normal with 3 votes (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-15 03:12 UTC by sombragris
Modified: 2022-02-14 16:10 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sombragris 2021-10-15 03:12:15 UTC
SUMMARY

Plasma 5.23 got me a nice (?) 25th anniversary present: The tabbox effect coverswitch was removed:

https://invent.kde.org/plasma/kwin/-/commit/3722c21660fb83b8a416c7e911abfa74da40fe8f

Please restore the effect. This right now is a significant disruption of my workflow and a loss of functionality. If I had known of this I would never have upgraded. More so, it was one of the nicest effects to show people.

Whoever thought this is "not used widely", I think, was deadly wrong.

Come on, people! You're not Gnome!

Thanks,

Eduardo
(KDE-es member from 2002 to 2012)
Comment 1 Ricardo J. Barberis 2021-10-16 17:22:53 UTC
I'll miss cover-switch too when I upgrade to 5.23.
Comment 2 Nate Graham 2021-10-17 23:06:25 UTC
Yep, we will.
Comment 3 Marian Kyral 2021-10-18 07:17:05 UTC
My favorite switch :-(

All remaining switches are too boring and lack cool effect. Even these in store.
Comment 4 Ricardo J. Barberis 2021-10-18 17:05:45 UTC
I upgraded on saturday, I've been testing other switcher effects but I don't like any of them :-(
Comment 5 Tonus 2021-10-20 09:43:42 UTC
I must say that, back in the days when comoiz was compulsory to get cube effect, it was a key feature and made lot of folks switch to linux and kde Desktop. 

Still a must have for kids.
Comment 6 Josesk Volpe 2021-11-20 02:05:53 UTC
Yup, that was my favorite switcher and i'll miss it a lot
KDE team is working on great new features and Wayland support, that's so unfortunate they had to drop this

I'll be waiting that hopefully someone will create a project for this (and who knows, i'll contribute), thankfully we're in a free software and open-source community.
Comment 7 Josesk Volpe 2021-11-20 02:07:59 UTC
(In reply to Nate Graham from comment #2)
> Yep, we will.

That's great ^w^
Take your time, we'll be waiting :3
Comment 8 Josesk Volpe 2021-11-20 05:54:18 UTC
https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/91

There's someone working in a QML replacement for that. You can download it and insert coverswitch and flipswitch directories in ~/.local/share/kwin/tabbox
Comment 9 Ismael Asensio 2021-12-23 17:39:18 UTC
Git commit cc885d63fcbade47db682ae783c4c77091e8939e by Ismael Asensio.
Committed on 23/12/2021 at 17:27.
Pushed by iasensio into branch 'master'.

[windowswitchers] QML replacement for flipswitch and coverswitch

Rewrite of the flipswitch and coverswitch window switchers in QMl,
using the KWin Tabbox API and PathView to layout the thumbnails.

The use of common Plasma components, following the user's theme,
and lack of reflections gives the effects a more modern (breezy) look,
consistent with the user's desktop and the other tabswitchers.
Related: bug 184874, bug 404802, bug 321324, bug 330529
FIXED-IN: 5.24

M  +4    -0    windowswitchers/CMakeLists.txt
A  +249  -0    windowswitchers/coverswitch/contents/ui/main.qml     [License: GPL(v2.0+)]
A  +16   -0    windowswitchers/coverswitch/metadata.desktop
A  +218  -0    windowswitchers/flipswitch/contents/ui/main.qml     [License: GPL(v2.0+)]
A  +16   -0    windowswitchers/flipswitch/metadata.desktop

https://invent.kde.org/plasma/kdeplasma-addons/commit/cc885d63fcbade47db682ae783c4c77091e8939e
Comment 10 Josesk Volpe 2021-12-25 23:09:50 UTC
I actually liked the reflections

But that's ok
Comment 11 Robin Bankhead 2021-12-26 10:57:24 UTC
Maybe I'll understand when I see the new version, but I don't see how removing reflections is an improvement. Couldn't they be made an option? Good to see this has been done though.
Comment 12 Maximilian Böhm 2021-12-27 00:40:30 UTC
(In reply to Robin Bankhead from comment #11)
> Maybe I'll understand when I see the new version, but I don't see how
> removing reflections is an improvement. Couldn't they be made an option?
> Good to see this has been done though.

I liked the reflections too. Is there a way to test this rewrite without having to compile the whole Kwin? I‘m curious about how elegant the animations work. The smooth transitions were a key feature of the old effect.
Comment 13 Josesk Volpe 2021-12-27 18:50:59 UTC
(In reply to Maximilian Böhm from comment #12)
> I liked the reflections too. Is there a way to test this rewrite without
> having to compile the whole Kwin? I‘m curious about how elegant the
> animations work. The smooth transitions were a key feature of the old effect.

You can just extract the script directory in ~/.local/share/kwin/tabbox/, no need to recompile
Comment 14 Josesk Volpe 2021-12-27 18:53:44 UTC
A difference is that the old animation used direct coding OpenGL features to work and was forked from Compiz, the new one now uses Qt libraries and QML language.
¿Is it possible to add reflections on the new way it's coded? If so, we can fork it
Comment 15 David Edmundson 2021-12-28 18:21:31 UTC
>A difference is that the old animation used direct coding OpenGL features to work 

So does this.
Comment 16 Robin Bankhead 2022-02-14 00:30:20 UTC
Have just updated to 5.24 and have to be honest, this is not a very good replacement.

- Windows are smaller
- Thick blue border around centred window
- No reflections
- Opaque grey background instead of wallpaper shaded
- Transition animation is too slow but jerky at start and end

The smoothness and visual appeal of the old cover switch is basically all gone. Aesthetically none of the ways this has changed are appealing to me. Sorry if a bit negative, hope others like it but I won't be using it.
Comment 17 Josesk Volpe 2022-02-14 04:59:53 UTC
(In reply to Robin Bankhead from comment #16)
> Have just updated to 5.24 and have to be honest, this is not a very good
> replacement.
> 
> - Windows are smaller
> - Thick blue border around centred window
> - No reflections
> - Opaque grey background instead of wallpaper shaded
> - Transition animation is too slow but jerky at start and end
> 
> The smoothness and visual appeal of the old cover switch is basically all
> gone. Aesthetically none of the ways this has changed are appealing to me.
> Sorry if a bit negative, hope others like it but I won't be using it.

Yeah, i agree
That's a reasonable replacement for me. And it's way easier for them to maintain though
One of the reasons i used this is that i like skeuomorphism and detailed desktops, so i also miss other effects like the cube desktop switch when they got removed, and removing reflections made it feel very incomplete for me, basically not a upgrade
Not having the opening animation also made it feel incomplete, and having the tasks going like teleporting instead of moving when i hold Tab down makes it feels glitcy (they move when i single-press Tab though)
This replacement was needed ans it's cool that we have it instead of losing that option, but it was mostly a downgrade and it doesn't gets on the feet of the older one that got removed.
I give it 5/10, well, better than nothing.

Since i manually updated the switchers on the latest Plasma release, they have got broken and somehow downgrading them did not solve this, so i'm waiting for the next Plasma release on Manjaro that'll bring these replacements.
Comment 18 sombragris 2022-02-14 05:45:31 UTC
(In reply to Robin Bankhead from comment #16)
> Have just updated to 5.24 and have to be honest, this is not a very good
> replacement.
> 
> - Windows are smaller
> - Thick blue border around centred window
> - No reflections
> - Opaque grey background instead of wallpaper shaded
> - Transition animation is too slow but jerky at start and end
> 
> The smoothness and visual appeal of the old cover switch is basically all
> gone. Aesthetically none of the ways this has changed are appealing to me.
> Sorry if a bit negative, hope others like it but I won't be using it.

Just tested it. The new effect is nicer than not having anything but it's in no way a functional equivalent of the previous effect.

I request the previous effect to be reinstated or the bug to be reopened until a better replacement is contributed. I appreciate the effort made so far. Thanks!
Comment 19 Josesk Volpe 2022-02-14 06:51:51 UTC
(In reply to sombragris from comment #18)
> I request the previous effect to be reinstated or the bug to be reopened
> until a better replacement is contributed. I appreciate the effort made so
> far. Thanks!


I vote to reopen this feature request too
Comment 20 Josesk Volpe 2022-02-14 07:42:09 UTC
New requests for the next update for this replacement:

* Bring back reflections
* Remove the borders on the selected task
* Replace the blurred grey background to the shaded background
* Add starting and ending animations
* Fix the glitchy movement when quick-switching tasks
* Make task windows bigger

To let users to optionally give a breeze minimalist look on this effect, it could add an option on the task-switch settings to remove reflections and shaded background. Task switchers are configurable.
Comment 21 Nate Graham 2022-02-14 15:09:51 UTC
Since this bug report was tracking the creation of a new effect and it's now been created, we should open new bug reports for any further bugs or suggestions for improvement.
Comment 22 Josesk Volpe 2022-02-14 16:10:18 UTC
Suggestion submitted as bug 450230